## org.jCharts.chartData.processors
Class ScatterPlotDataProcessor

    java.lang.Object
      org.jCharts.chartData.processors.AxisChartDataProcessor
          org.jCharts.chartData.processors.ScatterPlotDataProcessor

    public final class ScatterPlotDataProcessor

extends AxisChartDataProcessor

Field Summary
`private double` `yMax`
`private double` `yMin`

Constructor Summary
`ScatterPlotDataProcessor()` Constructor

Method Summary
`double` `getyMax()`
`double` `getyMin()`
`void` `processData(AxisChart axisChart, FontRenderContext fontRenderContext)` Method to perform all chart data processing.
`private void` `processDataSet(IScatterPlotDataSeries iScatterPlotDataSeries)` Processes the numeric values in the chart data.
`void` `setyMax(double yMax)`
`void` `setyMin(double yMin)`
`String` `toString()`

Methods inherited from class org.jCharts.chartData.processors.AxisChartDataProcessor
`getMaxValue, getMinValue, getNumberOfElementsInADataSet, setMaxValue, setMinValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### yMax

    private double yMax

### yMin

    private double yMin

Constructor Detail

### ScatterPlotDataProcessor

    public ScatterPlotDataProcessor()

  Constructor

Method Detail

### processData

    public void processData(AxisChart axisChart,
                            FontRenderContext fontRenderContext)

  Method to perform all chart data processing.

  Overrides:
    `processData` in class `AxisChartDataProcessor`
  Parameters:
    `axisChart` -

### processDataSet

    private void processDataSet(IScatterPlotDataSeries iScatterPlotDataSeries)

  Processes the numeric values in the chart data. If there is a user defined scale there is no need to call this.

  Parameters:
    `iScatterPlotDataSeries` -

### getyMax

    public double getyMax()

### setyMax

    public void setyMax(double yMax)

### getyMin

    public double getyMin()

### setyMin

    public void setyMin(double yMin)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`